Package org.gradle.plugins.signing.type

## Interface SignatureTypeProvider

- All Known Implementing Classes:
    `AbstractSignatureTypeProvider`, `DefaultSignatureTypeProvider`

      public interface SignatureTypeProvider

  Provider of `SignatureType`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SignatureType` | `getDefaultType()` |
    `SignatureType` | `getTypeForExtension​(java.lang.String extension)` |
    `boolean` | `hasTypeForExtension​(java.lang.String extension)` |
    `void` | `setDefaultType​(java.lang.String extension)` |

- - ### Method Detail

    - #### getDefaultType

          SignatureType getDefaultType()

    - #### setDefaultType

          void setDefaultType​(java.lang.String extension)

    - #### getTypeForExtension

          SignatureType getTypeForExtension​(java.lang.String extension)

    - #### hasTypeForExtension

          boolean hasTypeForExtension​(java.lang.String extension)